$packageName = 'dart-sdk'

$url = 'https://storage.googleapis.com/dart-archive/channels/stable/release/2.13.3/sdk/dartsdk-windows-ia32-release.zip'
$url64 = 'https://storage.googleapis.com/dart-archive/channels/stable/release/2.13.3/sdk/dartsdk-windows-x64-release.zip'

$unzipLocation = Get-ToolsLocation
$installDir = Join-Path $unzipLocation "dart-sdk"

Install-ChocolateyPath "$installDir\bin"
Install-ChocolateyPath "${env:USERPROFILE}\AppData\Roaming\Pub\Cache\bin"
$env:Path = "$($env:Path);$installDir\bin;${env:USERPROFILE}\AppData\Roaming\Pub\Cache\bin"

if (test-path $installDir) {
	Remove-Item $installDir -Recurse -Force
}

$packageArgs = @{
  packageName    = $packageName
  url            = $url
  url64bit       = $url64
  unzipLocation  = $unzipLocation
  checksum       = '8b1d39c1a4323428aabd03721b680419f07bf10500e1cf24ba85d98af6d6b9d2'
  checksumType   = 'sha256'
  checksum64     = '4c1b2e3f10bb4ea2469c23859fc02e475d51f0faf988e2b69c5b3363fb52e5a0'
  checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
